EscalationEvent (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.escalation.EscalationEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.escalation
Class EscalationEvent

    java.lang.Object
      org.hyperic.hq.events.AbstractEvent
          org.hyperic.hq.escalation.EscalationEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, LoggableInterface, ResourceEventInterface

    public class EscalationEvent

extends AbstractEvent
implements java.io.Serializable, ResourceEventInterface, LoggableInterface

See Also:
  Serialized Form

Constructor Summary
`EscalationEvent(Escalatable alert, java.lang.String msg)`

Method Summary
`java.lang.String` | `getAlertDefName()`
`java.lang.String` | `getLevelString()`
`AppdefEntityID` | `getResource()`
`java.lang.String` | `getSubject()`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.events.AbstractEvent
`equals, getId, getInstanceId, getTimestamp, hashCode, isLoggingSupported, setId, setInstanceId, setTimestamp`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EscalationEvent

    public EscalationEvent(Escalatable alert,
                           java.lang.String msg)

Method Detail

### getResource

    public AppdefEntityID getResource()

  Specified by:
    `getResource` in interface `ResourceEventInterface`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAlertDefName

    public java.lang.String getAlertDefName()

### getLevelString

    public java.lang.String getLevelString()

  Specified by:
    `getLevelString` in interface `LoggableInterface`

### getSubject

    public java.lang.String getSubject()

  Specified by:
    `getSubject` in interface `LoggableInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.